Bug 325580 - digiKam crash running maintenance tool
Summary: digiKam crash running maintenance tool
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Maintenance-Thumbs (show other bugs)
Version: 4.3.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-10-03 10:50 UTC by Johann-Nikolaus Andreae
Modified: 2017-08-12 13:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.4.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johann-Nikolaus Andreae 2013-10-03 10:50:45 UTC
Application: digikam (3.4.0)
KDE Platform Version: 4.11.2
Qt Version: 4.8.5
Operating System: Linux 3.7.10-1.16-desktop x86_64
Distribution: "openSUSE 12.3 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:

Run Extras->maintains select new entries and sync metadata.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f4aea47d800 (LWP 11290))]

Thread 11 (Thread 0x7f4ac7e82700 (LWP 11291)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f4ae562164b in wait (time=18446744073709551615, this=0xf39a70) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xf39978, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005dd8a1 in Digikam::ScanController::run (this=0xf39710) at /usr/src/debug/digikam-3.4.0/core/digikam/database/scancontroller.cpp:725
#4  0x00007f4ae56210ec in QThreadPrivate::start (arg=0xf39710) at thread/qthread_unix.cpp:338
#5  0x00007f4ae1af8e0f in start_thread (arg=0x7f4ac7e82700) at pthread_create.c:308
#6  0x00007f4ae3b8a44d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 10 (Thread 0x7f4ac7681700 (LWP 11292)):
#0  g_mutex_get_impl (mutex=0x7f4ab80009a0) at gthread-posix.c:120
#1  0x00007f4adb972a69 in g_mutex_lock (mutex=mutex@entry=0x7f4ab80009a0) at gthread-posix.c:210
#2  0x00007f4adb93540b in g_main_context_query (context=context@entry=0x7f4ab80009a0, max_priority=2147483647, timeout=timeout@entry=0x7f4ac7680bfc, fds=fds@entry=0x7f4ab8002a00, n_fds=n_fds@entry=2) at gmain.c:3053
#3  0x00007f4adb935a19 in g_main_context_iterate (context=context@entry=0x7f4ab80009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3272
#4  0x00007f4adb935bc4 in g_main_context_iteration (context=0x7f4ab80009a0, may_block=1) at gmain.c:3351
#5  0x00007f4ae574b5d6 in QEventDispatcherGlib::processEvents (this=0x7f4ab80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#6  0x00007f4ae571bbef in QEventLoop::processEvents (this=this@entry=0x7f4ac7680d50, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f4ae571be78 in QEventLoop::exec (this=0x7f4ac7680d50, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f4ae561e110 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:536
#9  0x00007f4ae56fc3af in QInotifyFileSystemWatcherEngine::run (this=0xef0650) at io/qfilesystemwatcher_inotify.cpp:256
#10 0x00007f4ae56210ec in QThreadPrivate::start (arg=0xef0650) at thread/qthread_unix.cpp:338
#11 0x00007f4ae1af8e0f in start_thread (arg=0x7f4ac7681700) at pthread_create.c:308
#12 0x00007f4ae3b8a44d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 9 (Thread 0x7f4ac6e80700 (LWP 11318)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f4ae562164b in wait (time=18446744073709551615, this=0x114fff0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x125a218, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f4ae77ed3f9 in Digikam::ParkingThread::run (this=0x125a200) at /usr/src/debug/digikam-3.4.0/core/libs/threads/threadmanager.cpp:119
#4  0x00007f4ae56210ec in QThreadPrivate::start (arg=0x125a200) at thread/qthread_unix.cpp:338
#5  0x00007f4ae1af8e0f in start_thread (arg=0x7f4ac6e80700) at pthread_create.c:308
#6  0x00007f4ae3b8a44d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 8 (Thread 0x7f4aa2ffd700 (LWP 11676)):
#0  0x00007f4ae3b8343d in fsync () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f4ad0ce9775 in ?? () from /usr/lib64/libsqlite3.so.0
#2  0x00007f4ad0ce98ac in ?? () from /usr/lib64/libsqlite3.so.0
#3  0x00007f4ad0ce0e33 in ?? () from /usr/lib64/libsqlite3.so.0
#4  0x00007f4ad0cf1945 in ?? () from /usr/lib64/libsqlite3.so.0
#5  0x00007f4ad0cf2cf7 in ?? () from /usr/lib64/libsqlite3.so.0
#6  0x00007f4ad0cfbaef in ?? () from /usr/lib64/libsqlite3.so.0
#7  0x00007f4ad0cfc25b in ?? () from /usr/lib64/libsqlite3.so.0
#8  0x00007f4ad0d13b75 in ?? () from /usr/lib64/libsqlite3.so.0
#9  0x00007f4ad0d0db07 in ?? () from /usr/lib64/libsqlite3.so.0
#10 0x00007f4ad0d0dcd6 in sqlite3_step () from /usr/lib64/libsqlite3.so.0
#11 0x00007f4ac647ab9f in ?? () from /usr/lib64/qt4/plugins/sqldrivers/libqsqlite.so
#12 0x00007f4ac647b957 in ?? () from /usr/lib64/qt4/plugins/sqldrivers/libqsqlite.so
#13 0x00007f4aea0a7477 in QSqlQuery::exec (this=0x7f4aa2ffc838) at kernel/qsqlquery.cpp:949
#14 0x00007f4ae77a6a21 in exec (query=..., this=<optimized out>) at /usr/src/debug/digikam-3.4.0/core/libs/database/core/databasecorebackend.cpp:1414
#15 Digikam::DatabaseCoreBackend::exec (this=0x1090fe0, query=...) at /usr/src/debug/digikam-3.4.0/core/libs/database/core/databasecorebackend.cpp:1397
#16 0x00007f4ae77a8402 in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0x1090fe0, query=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /usr/src/debug/digikam-3.4.0/core/libs/database/core/databasecorebackend.cpp:1085
#17 0x00007f4ae77a847a in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0x1090fe0, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /usr/src/debug/digikam-3.4.0/core/libs/database/core/databasecorebackend.cpp:1030
#18 0x00007f4ae77a84d5 in Digikam::DatabaseCoreBackend::execSql (this=0x1090fe0, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=..., values=0x0, lastInsertId=0x7f4aa2ffc880) at /usr/src/debug/digikam-3.4.0/core/libs/database/core/databasecorebackend.cpp:928
#19 0x00007f4ae77b3a6d in Digikam::ThumbnailDB::insertThumbnail (this=0x11bb110, info=..., lastInsertId=0x7f4aa2ffca10) at /usr/src/debug/digikam-3.4.0/core/libs/database/core/thumbnaildb.cpp:260
#20 0x00007f4ae77d8354 in Digikam::ThumbnailCreator::storeInDatabase (this=this@entry=0x540f6d0, info=..., image=...) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:755
#21 0x00007f4ae77db769 in Digikam::ThumbnailCreator::load (this=0x540f6d0, path=..., rect=..., pregenerate=pregenerate@entry=false) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:267
#22 0x00007f4ae77dc112 in Digikam::ThumbnailCreator::load (this=<optimized out>, path=...) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:199
#23 0x00007f4ae77e8dc7 in Digikam::ThumbnailLoadingTask::execute (this=0x906d0d0) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/thumbnailtask.cpp:172
#24 0x00007f4ae77c304e in Digikam::LoadSaveThread::run (this=0x540f410) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/loadsavethread.cpp:136
#25 0x00007f4ae77eebae in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x540f480) at /usr/src/debug/digikam-3.4.0/core/libs/threads/dynamicthread.cpp:186
#26 0x00007f4ae5614c9d in QThreadPoolThread::run (this=0x656e870) at concurrent/qthreadpool.cpp:107
#27 0x00007f4ae56210ec in QThreadPrivate::start (arg=0x656e870) at thread/qthread_unix.cpp:338
#28 0x00007f4ae1af8e0f in start_thread (arg=0x7f4aa2ffd700) at pthread_create.c:308
#29 0x00007f4ae3b8a44d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 7 (Thread 0x7f4aabfff700 (LWP 11744)):
#0  0x00007f4ae1afae25 in __GI___pthread_mutex_lock (mutex=0x7f4a7c0010f0) at pthread_mutex_lock.c:95
#1  0x00007f4adb972a71 in g_mutex_lock (mutex=mutex@entry=0x7f4a7c000ac0) at gthread-posix.c:210
#2  0x00007f4adb9355b7 in g_main_context_check (context=context@entry=0x7f4a7c000ac0, max_priority=2147483647, fds=fds@entry=0x7f4a7c0012c0, n_fds=n_fds@entry=1) at gmain.c:3171
#3  0x00007f4adb935a42 in g_main_context_iterate (context=context@entry=0x7f4a7c000ac0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3287
#4  0x00007f4adb935bc4 in g_main_context_iteration (context=0x7f4a7c000ac0, may_block=1) at gmain.c:3351
#5  0x00007f4ae574b5d6 in QEventDispatcherGlib::processEvents (this=0x7f4a7c001060, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#6  0x00007f4ae571bbef in QEventLoop::processEvents (this=this@entry=0x7f4aabffed20, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f4ae571be78 in QEventLoop::exec (this=0x7f4aabffed20, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f4ae77eca5b in Digikam::WorkerObjectRunnable::run (this=0x90d6ad0) at /usr/src/debug/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#9  0x00007f4ae5614c9d in QThreadPoolThread::run (this=0x635f830) at concurrent/qthreadpool.cpp:107
#10 0x00007f4ae56210ec in QThreadPrivate::start (arg=0x635f830) at thread/qthread_unix.cpp:338
#11 0x00007f4ae1af8e0f in start_thread (arg=0x7f4aabfff700) at pthread_create.c:308
#12 0x00007f4ae3b8a44d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 6 (Thread 0x7f4aa1ffb700 (LWP 11758)):
#0  0x00007fffda7ff847 in clock_gettime ()
#1  0x00007f4ae3b9c1ad in clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:115
#2  0x00007f4ae5676dc4 in do_gettime (frac=0x7f4aa1ffaa78, sec=0x7f4aa1ffaa70) at tools/qelapsedtimer_unix.cpp:127
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:144
#4  0x00007f4ae574bedd in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f4a6c023e60) at kernel/qeventdispatcher_unix.cpp:354
#5  0x00007f4ae574c223 in QTimerInfoList::timerWait (this=0x7f4a6c023e60, tm=...) at kernel/qeventdispatcher_unix.cpp:460
#6  0x00007f4ae574ac0c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f4aa1ffab64) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f4ae574acb5 in timerSourcePrepare (source=<optimized out>, timeout=timeout@entry=0x7f4aa1ffab64) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f4adb935338 in g_main_context_prepare (context=context@entry=0x7f4a6c0140f0, priority=priority@entry=0x7f4aa1ffabc8) at gmain.c:2986
#9  0x00007f4adb9359cb in g_main_context_iterate (context=context@entry=0x7f4a6c0140f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3270
#10 0x00007f4adb935bc4 in g_main_context_iteration (context=0x7f4a6c0140f0, may_block=1) at gmain.c:3351
#11 0x00007f4ae574b5d6 in QEventDispatcherGlib::processEvents (this=0x7f4a6c013f20, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#12 0x00007f4ae571bbef in QEventLoop::processEvents (this=this@entry=0x7f4aa1ffad20, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007f4ae571be78 in QEventLoop::exec (this=0x7f4aa1ffad20, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007f4ae77eca5b in Digikam::WorkerObjectRunnable::run (this=0xb9d4650) at /usr/src/debug/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#15 0x00007f4ae5614c9d in QThreadPoolThread::run (this=0x656ec90) at concurrent/qthreadpool.cpp:107
#16 0x00007f4ae56210ec in QThreadPrivate::start (arg=0x656ec90) at thread/qthread_unix.cpp:338
#17 0x00007f4ae1af8e0f in start_thread (arg=0x7f4aa1ffb700) at pthread_create.c:308
#18 0x00007f4ae3b8a44d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7f4aa8ff9700 (LWP 11762)):
#0  0x00007f4adb972aa1 in g_mutex_unlock (mutex=mutex@entry=0x7f4a7002c050) at gthread-posix.c:229
#1  0x00007f4adb93532b in g_main_context_prepare (context=context@entry=0x7f4a7002c050, priority=priority@entry=0x7f4aa8ff8bc8) at gmain.c:2984
#2  0x00007f4adb9359cb in g_main_context_iterate (context=context@entry=0x7f4a7002c050, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3270
#3  0x00007f4adb935bc4 in g_main_context_iteration (context=0x7f4a7002c050, may_block=1) at gmain.c:3351
#4  0x00007f4ae574b5d6 in QEventDispatcherGlib::processEvents (this=0x7f4a70029860, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#5  0x00007f4ae571bbef in QEventLoop::processEvents (this=this@entry=0x7f4aa8ff8d20, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f4ae571be78 in QEventLoop::exec (this=0x7f4aa8ff8d20, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f4ae77eca5b in Digikam::WorkerObjectRunnable::run (this=0x7f4a7c086de0) at /usr/src/debug/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#8  0x00007f4ae5614c9d in QThreadPoolThread::run (this=0x656f950) at concurrent/qthreadpool.cpp:107
#9  0x00007f4ae56210ec in QThreadPrivate::start (arg=0x656f950) at thread/qthread_unix.cpp:338
#10 0x00007f4ae1af8e0f in start_thread (arg=0x7f4aa8ff9700) at pthread_create.c:308
#11 0x00007f4ae3b8a44d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7f4ab2a95700 (LWP 11763)):
#0  0x00007f4adfac4856 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f4adfac30ee in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f4ae1af8e0f in start_thread (arg=0x7f4ab2a95700) at pthread_create.c:308
#3  0x00007f4ae3b8a44d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7f4ab0d80700 (LWP 11764)):
#0  0x00007f4adfac4856 in ?? () from /usr/lib64/libgomp.so.1
#1  0x00007f4adfac30ee in ?? () from /usr/lib64/libgomp.so.1
#2  0x00007f4ae1af8e0f in start_thread (arg=0x7f4ab0d80700) at pthread_create.c:308
#3  0x00007f4ae3b8a44d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7f4aa0ff9700 (LWP 11935)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f4ae561fb94 in _q_futex (timeout=0x0, val=2, op=0, addr=0xf28320, addr2=<optimized out>, val2=<optimized out>) at thread/qmutex_unix.cpp:99
#2  QMutexPrivate::wait (this=0xf28320, timeout=<optimized out>) at thread/qmutex_unix.cpp:113
#3  0x00007f4ae561bead in QMutex::lock (this=<optimized out>) at thread/qmutex.cpp:164
#4  0x00007f4ae77b1e74 in Digikam::ThumbnailDatabaseAccess::ThumbnailDatabaseAccess (this=<optimized out>) at /usr/src/debug/digikam-3.4.0/core/libs/database/core/thumbnaildatabaseaccess.cpp:87
#5  0x00007f4ae77d8dec in Digikam::ThumbnailCreator::loadDatabaseThumbnailInfo (this=this@entry=0x134f980, info=...) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:821
#6  0x00007f4ae77d90c6 in Digikam::ThumbnailCreator::isInDatabase (this=this@entry=0x134f980, info=...) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:850
#7  0x00007f4ae77db519 in Digikam::ThumbnailCreator::load (this=0x134f980, path=..., rect=..., pregenerate=pregenerate@entry=true) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:239
#8  0x00007f4ae77dc61c in Digikam::ThumbnailCreator::pregenerate (this=<optimized out>, path=...) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:183
#9  0x00007f4ae77e8e00 in Digikam::ThumbnailLoadingTask::execute (this=0xb1b9f30) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/thumbnailtask.cpp:82
#10 0x00007f4ae77c304e in Digikam::LoadSaveThread::run (this=0x117c830) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/loadsavethread.cpp:136
#11 0x00007f4ae77eebae in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x1312630) at /usr/src/debug/digikam-3.4.0/core/libs/threads/dynamicthread.cpp:186
#12 0x00007f4ae5614c9d in QThreadPoolThread::run (this=0x635e330) at concurrent/qthreadpool.cpp:107
#13 0x00007f4ae56210ec in QThreadPrivate::start (arg=0x635e330) at thread/qthread_unix.cpp:338
#14 0x00007f4ae1af8e0f in start_thread (arg=0x7f4aa0ff9700) at pthread_create.c:308
#15 0x00007f4ae3b8a44d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7f4aea47d800 (LWP 11290)):
[KCrash Handler]
#6  0x0000000000000000 in ?? ()
#7  0x000000000051fb36 in Digikam::ImageInfoJob::allItemsFromAlbum (this=0xabf75a0, album=0x717e030) at /usr/src/debug/digikam-3.4.0/core/utilities/maintenance/imageinfojob.cpp:86
#8  0x00007f4ae573244f in QMetaObject::activate (sender=0xabf75a0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3556
#9  0x000000000051fd38 in Digikam::ImageInfoJob::slotResult (this=0xabf75a0, job=0x8f7db70) at /usr/src/debug/digikam-3.4.0/core/utilities/maintenance/imageinfojob.cpp:119
#10 0x00007f4ae573244f in QMetaObject::activate (sender=0x8f7db70, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffda6c4ce0) at kernel/qobject.cpp:3556
#11 0x00007f4ae5bab69f in KJob::finished (this=this@entry=0x8f7db70, _t1=_t1@entry=0x8f7db70) at /usr/src/debug/kdelibs-4.11.2/build/kdecore/kjob.moc:186
#12 0x00007f4ae5bab8e5 in KJob::emitResult (this=0x8f7db70) at /usr/src/debug/kdelibs-4.11.2/kdecore/jobs/kjob.cpp:316
#13 0x00007f4ae68d46d2 in KIO::SimpleJob::slotFinished (this=this@entry=0x8f7db70) at /usr/src/debug/kdelibs-4.11.2/kio/kio/job.cpp:496
#14 0x00007f4ae68dbd82 in KIO::TransferJob::slotFinished (this=0x8f7db70) at /usr/src/debug/kdelibs-4.11.2/kio/kio/job.cpp:1099
#15 0x00007f4ae573244f in QMetaObject::activate (sender=0x9424230, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3556
#16 0x00007f4ae69780c1 in KIO::SlaveInterface::dispatch (this=0x9424230, _cmd=104, rawdata=...) at /usr/src/debug/kdelibs-4.11.2/kio/kio/slaveinterface.cpp:176
#17 0x00007f4ae697599a in KIO::SlaveInterface::dispatch (this=0x9424230) at /usr/src/debug/kdelibs-4.11.2/kio/kio/slaveinterface.cpp:92
#18 0x00007f4ae6969efe in KIO::Slave::gotInput (this=0x9424230) at /usr/src/debug/kdelibs-4.11.2/kio/kio/slave.cpp:344
#19 0x00007f4ae573244f in QMetaObject::activate (sender=0x90b75e0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3556
#20 0x00007f4ae68a9332 in dequeue (this=<optimized out>) at /usr/src/debug/kdelibs-4.11.2/kio/kio/connection.cpp:82
#21 KIO::ConnectionPrivate::dequeue (this=0xaa29440) at /usr/src/debug/kdelibs-4.11.2/kio/kio/connection.cpp:71
#22 0x00007f4ae573192e in QObject::event (this=0x90b75e0, e=<optimized out>) at kernel/qobject.cpp:1203
#23 0x00007f4ae484892c in QApplicationPrivate::notify_helper (this=this@entry=0xd55190, receiver=receiver@entry=0x90b75e0, e=e@entry=0xa8a9ae0) at kernel/qapplication.cpp:4562
#24 0x00007f4ae484cdab in QApplication::notify (this=0x7fffda6c6360, receiver=0x90b75e0, e=0xa8a9ae0) at kernel/qapplication.cpp:4423
#25 0x00007f4ae6181016 in KApplication::notify (this=0x7fffda6c6360, receiver=0x90b75e0, event=0xa8a9ae0) at /usr/src/debug/kdelibs-4.11.2/kdeui/kernel/kapplication.cpp:311
#26 0x00007f4ae571cf3e in QCoreApplication::notifyInternal (this=0x7fffda6c6360, receiver=receiver@entry=0x90b75e0, event=event@entry=0xa8a9ae0) at kernel/qcoreapplication.cpp:949
#27 0x00007f4ae57208a1 in sendEvent (event=0xa8a9ae0, receiver=0x90b75e0) at kernel/qcoreapplication.h:231
#28 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xcc93a0) at kernel/qcoreapplication.cpp:1573
#29 0x00007f4ae574b423 in sendPostedEvents () at kernel/qcoreapplication.h:236
#30 postEventSourceDispatch (s=s@entry=0xd54b30) at kernel/qeventdispatcher_glib.cpp:280
#31 0x00007f4adb9357d5 in g_main_dispatch (context=0xd5aa00) at gmain.c:2715
#32 g_main_context_dispatch (context=context@entry=0xd5aa00) at gmain.c:3219
#33 0x00007f4adb935b08 in g_main_context_iterate (context=context@entry=0xd5aa00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3290
#34 0x00007f4adb935bc4 in g_main_context_iteration (context=0xd5aa00, may_block=1) at gmain.c:3351
#35 0x00007f4ae574b5b6 in QEventDispatcherGlib::processEvents (this=0xcce800, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#36 0x00007f4ae48e8e0e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#37 0x00007f4ae571bbef in QEventLoop::processEvents (this=this@entry=0x7fffda6c5d50, flags=...) at kernel/qeventloop.cpp:149
#38 0x00007f4ae571be78 in QEventLoop::exec (this=0x7fffda6c5d50, flags=...) at kernel/qeventloop.cpp:204
#39 0x00007f4ae5720bb8 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#40 0x000000000049befb in main (argc=5, argv=0x7fffda6c6598) at /usr/src/debug/digikam-3.4.0/core/digikam/main/main.cpp:235

Reported using DrKonqi
Comment 1 caulier.gilles 2013-10-31 07:52:42 UTC
digiKam 3.5.0 is out.

Can you give a fresh feedback about your report ? Crash still reproducible ?

Thanks in advance

Gilles Caulier
Comment 2 caulier.gilles 2013-12-06 22:51:05 UTC
Johann,

We needs feedback here using digiKam 3.5.0 ?

Gilles Caulier
Comment 3 caulier.gilles 2014-05-16 07:29:19 UTC
digiKam 4.0.0 is out :

http://www.digikam.org/node/713

Please check if this entry still valid with this new version.

Thanks in advance

Gilles Caulier
Comment 4 caulier.gilles 2014-08-29 22:34:01 UTC
This file still valid using last digiKam 4.2.0 ?

Gilles Caulier
Comment 5 caulier.gilles 2014-09-11 17:17:08 UTC
I can reproduce the problem with current implementation from git/master

Gilles Caulier
Comment 6 caulier.gilles 2014-09-11 17:42:12 UTC
Git commit d523a9768ab8276860c76e02b9d9b598a3d607f9 by Gilles Caulier.
Committed on 11/09/2014 at 17:40.
Pushed by cgilles into branch 'master'.

Fix job reset when it's done : do not return directly is an error appera with a job, without to reset job.
Fix broken signal/slot connection.
FIXED-IN: 4.4.0

M  +0    -1    app/album/albumlabelstreeview.cpp
M  +0    -4    app/album/albummanager.cpp
M  +0    -1    libs/models/imagealbummodel.cpp
M  +1    -1    showfoto/main/showfoto.cpp
M  +3    -4    utilities/maintenance/duplicatesfinder.cpp
M  +2    -3    utilities/maintenance/imageinfojob.cpp

http://commits.kde.org/digikam/d523a9768ab8276860c76e02b9d9b598a3d607f9